/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomCSSStyleSheet_H___INT_
#define __GdomCSSStyleSheet_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomStyleSheet.h"
#include "GDOMObject.h"
#include "CSSStyleSheet.h"
G_BEGIN_DECLS
class GDOMCSSStyleSheet : public GDOMStyleSheet {
    typedef GDOMStyleSheet Base;
public:
    int get_gobj_type() { return GDOM_TYPE_CSS_STYLE_SHEET; }
    GDOMCSSStyleSheet(PassRefPtr<WebCore::CSSStyleSheet> impl);
};
G_END_DECLS

#endif /* __GdomCSSStyleSheet_H___INT_*/
